VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form Form1 
   BorderStyle     =   1  'Œ()
   Caption         =   "TestPrint (Sample)"
   ClientHeight    =   3960
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   7950
   BeginProperty Font 
      Name            =   "Times New Roman"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3960
   ScaleWidth      =   7950
   StartUpPosition =   2  'ʂ̒
   Begin VB.CommandButton TestPrint 
      Caption         =   "&Print"
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   6240
      TabIndex        =   4
      Top             =   2700
      Width           =   1215
   End
   Begin VB.Frame frmFile 
      ForeColor       =   &H80000002&
      Height          =   3615
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   7455
      Begin VB.Frame frmPrintDoPrint 
         Caption         =   " Printer "
         Height          =   765
         Left            =   240
         TabIndex        =   1
         Top             =   2460
         Width           =   5580
         Begin VB.ComboBox Combo1 
            BackColor       =   &H00C0C0FF&
            Height          =   345
            Left            =   1440
            TabIndex        =   3
            Top             =   300
            Width           =   3975
         End
         Begin VB.Label Label2 
            Alignment       =   1  'E
            Caption         =   "&Name : "
            Height          =   255
            Left            =   240
            TabIndex        =   2
            Top             =   330
            Width           =   1095
         End
      End
      Begin VB.Frame frmPartsSetPartsData 
         Caption         =   "Print Data"
         Height          =   795
         Left            =   240
         TabIndex        =   8
         Top             =   1380
         Width           =   6975
         Begin VB.TextBox txtSetText 
            Height          =   285
            Left            =   1440
            TabIndex        =   10
            Text            =   "TestPrint_0123456789_ABC"
            Top             =   300
            Width           =   5355
         End
         Begin VB.Label Label1 
            Alignment       =   1  'E
            Caption         =   "Frame1 &Text1 : "
            Height          =   255
            Left            =   120
            TabIndex        =   9
            Top             =   300
            Width           =   1275
         End
      End
      Begin VB.Frame frmFileOpen 
         Caption         =   "L&ayout File"
         Height          =   795
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   6975
         Begin MSComDlg.CommonDialog CommonDialog1 
            Left            =   3060
            Top             =   180
            _ExtentX        =   847
            _ExtentY        =   847
            _Version        =   393216
         End
         Begin VB.TextBox txtOpenFile 
            Alignment       =   1  'E
            Height          =   285
            Left            =   1440
            TabIndex        =   6
            Text            =   ".\Layout1.CLF"
            Top             =   300
            Width           =   4515
         End
         Begin VB.CommandButton btnOpenRefer 
            Caption         =   "&File..."
            Height          =   315
            Left            =   6060
            TabIndex        =   7
            Top             =   300
            Width           =   735
         End
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-------------------------------------------------------------------------------
' (C) 2009-2017 CITIZEN SYSTEMS JAPAN CO., LTD. All Rights Reserved.
'-------------------------------------------------------------------------------
' Layout SDK (via Printer Driver), sample code [[ TestPrint ]] for VB6
'
' This program is the basic print sample cord which used a layout file.
' In addition, please understand that error processing is not performed.
'
' The command procedure that is necessary for print is as follows.
'
' [01] Creates the object.
' [02] Opens the layout file.                           Open
' [03] Initializes the object.                          BeginPrint
' [04] Gets an index of the frame.                      InitFrame
' [05] Gets an index of the part in the frame.          GetParts
' [06] Modifies the working area in the object.         SetPartsData
' [07] Copies the working area to the print area.       AddFrame
' [08] Starts the print.                                DoPrint
' [09] Cancels the work area.                           EndPrint
' [10] Clears all area in the object.                   Close
'
'-------------------------------------------------------------------------------
'
'-------------------------------------------------------------------------------
Private comObj As Object
'-------------------------------------------------------------------------------
' Selects a custom layout file. (by common dialog)
'-------------------------------------------------------------------------------
Private Sub btnOpenRefer_Click()
    CommonDialog1.DialogTitle = "Open a CLF file"
    CommonDialog1.Filter = "CLF files (*.clf)|*.clf"
    CommonDialog1.ShowOpen
    If Err.Number <> ErrorConstants.cdlCancel Then
        txtOpenFile.Text = CommonDialog1.FileName
        ' -----------------------------------------------------------------
        ' Speedup of the first printing.
        ' -----------------------------------------------------------------
        Call preparePrint(txtOpenFile.Text)
    End If
End Sub
'-------------------------------------------------------------------------------
' Gets all installed printers name in the OS.
'-------------------------------------------------------------------------------
Private Sub GetPrtDevName()
    Dim X As Printer

    For Each X In Printers
        Combo1.AddItem X.DeviceName                     ' Add Printer

        ' Selects a CITIZEN printer
        If (0 > Combo1.ListIndex) And (0 < InStr(X.DeviceName, "CITIZEN")) Then
            Combo1.ListIndex = Combo1.ListCount - 1
        End If
    Next X
End Sub
'-------------------------------------------------------------------------------
'
'-------------------------------------------------------------------------------
Private Sub Form_Load()

    GetPrtDevName
    ' -----------------------------------------------------------------
    ' Speedup of the first printing.
    ' -----------------------------------------------------------------
    Call preparePrint(txtOpenFile.Text)

End Sub
'-------------------------------------------------------------------------------
' Main
'-------------------------------------------------------------------------------
Private Sub TestPrint_Click()
    Dim result As Integer
    Dim frameIndex As Integer
    Dim partsIndex As Integer
    
    ' -----------------------------------------------------------------
    ' Preparations
    ' -----------------------------------------------------------------
    ' [01] Creates the object.
    Set comObj = CreateObject("Citizen.LayoutUtilities.Printing.Controller")
    'Set comObj = New Citizen_LayoutUtilities_Printing.Controller   '' VB6(In the case of the TypeLibrary use)
    
    ' [02] Opens the layout file.
    '      Argument : pathName
    result = comObj.Open(txtOpenFile.Text)
    
    ' [03] Initializes the object.
    '      Initializes a result of InitFrame() and AddFrame().
    '      Argument : None
    Call comObj.BeginPrint
    
    ' -----------------------------------------------------------------
    ' Modifies a value of "Text1" in "Frame1", and add it to the print area.
    ' -----------------------------------------------------------------
    ' [04] Gets an index of the frame.
    '      Copies the frame to the working area in the object.
    '      Argument : frameName
    frameIndex = comObj.InitFrame("Frame1")
        
    ' [05] Gets an index of the part in the frame.
    '      Argument : frameIndex, partName
    partsIndex = comObj.GetParts(frameIndex, "Text1")
    
    ' [06] Modifies the working area in the object.
    '      Argument : frameIndex, partIndex, setText
    result = comObj.SetPartsData(frameIndex, partsIndex, txtSetText.Text)
    
    ' [07] Copies the working area to the print area.
    '      Execute InitFrame() before this processing.
    '      Argument : frameIndex
    result = comObj.AddFrame(frameIndex)
    
    ' -----------------------------------------------------------------
    ' Prints the print area.
    ' -----------------------------------------------------------------
    ' [08] Starts the print.
    '      Execute AddFrame() before this processing.
    '      Argument : printerName (Blank : The default printer is used to print.)
    result = comObj.DoPrint(Combo1.Text)

    ' -----------------------------------------------------------------
    ' Processing of end
    ' -----------------------------------------------------------------
    ' [09] Cancels the work area.
    '      Execute BeginPrint() or Close() after this processing.
    '      Argument : None
    Call comObj.EndPrint
    
    ' [10] Clears all area in the object.
    '      Execute Open() after this processing.
    '      Argument : None
    Call comObj.Close
    
    Set comObj = Nothing

End Sub


'-------------------------------------------------------------------------------
' Improves the speed of the first printing.
'-------------------------------------------------------------------------------
Private Sub preparePrint(pathName As String)
    Dim result As Integer
    
    Set comObj = CreateObject("Citizen.LayoutUtilities.Printing.Controller")
    result = comObj.preparePrint(pathName)
    
End Sub

'-------------------------------------------------------------------------------
' End of File
'-------------------------------------------------------------------------------

